Delete events by refs
curl --request POST \
--url https://connect.withvayu.com/events/delete-by-refs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refs": [
"<string>"
]
}
'import requests
url = "https://connect.withvayu.com/events/delete-by-refs"
payload = { "refs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refs: ['<string>']})
};
fetch('https://connect.withvayu.com/events/delete-by-refs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"name": "api_call",
"timestamp": "2023-09-13T18:25:43.511Z",
"customerAlias": "customer_12345",
"ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "<string>",
"data": {
"key1": "processing_duration",
"key2": "api_url"
}
}
]
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Events
Delete events by refs
Delete multiple events, identified by ref, in a single request.
POST
/
events
/
delete-by-refs
Delete events by refs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A list of event refs to delete. The request deletes the matching events for the authenticated account.
Required array length:
1 - 1000 elementsMinimum string length:
1Response
Contains the events that were removed along with deletion metadata.
The events that were deleted
Show child attributes
Show child attributes
⌘I
